



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>rsyslog+loganalyzer远程日志系统搭建教程（CentOS6.8）</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">rsyslog+loganalyzer远程日志系统搭建教程（CentOS6.8）</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-29 15:40:09 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2>一、说明</h2>
<p>本文主要是对&ldquo;<a href="http://www.linuxidc.com/Linux/2016-06/132418.htm" rel="external nofollow noreferrer">CentOS 6.7搭建Rsyslog日志服务器</a>&rdquo;进行整理，同时在本地进行环境搭建，验证在CentOS6.8上的正确性。</p>
<h2>二、安装配置rsyslog</h2>
<h3>1.清空iptables关闭selinux</h3>
<p>1.1 清空iptables</p>
<p>一般iptables不要限制对rsyslog端口（默认UDP，514）的访问就不会rsysylog造成影响，可以不用清。</p>
<div>
<pre class="prettyprint linenums">iptables -F                      #清空iptables策略<br />
service iptables save      #保存iptables策略配置</pre>
</div>
<p>1.2关闭selinux</p>
<p>selinux老问题，过于严格可能会造成功能异常，将其关闭</p>
<div>
<pre class="prettyprint linenums">setenforce </pre>
</div>
<p>上边只是临时关闭，如果配置为启用状态则系统重启后selinux还是启用，要彻底关闭selinux到其配置文件/etc/selinux/config，将属性SELINUX的值修改为disabled</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1116722/201712/1116722-20171220094203396-1976396061.png" /></p>
<h3>2、yum安装LAMP环境及rsyslog、rsyslog mysql支持模块</h3>
<div>
<pre class="prettyprint linenums">yum install -y mysql-server mysql-devel libcurl-devel net-snmp-devel php php-gd php-xml php-mysql httpd rsyslog rsyslog-mysql</pre>
</div>
<p>看这意思没什么问题，但是由于本机之前已零散地安装了这些东西，mysql还手动安装成了5.5，在执行此句时报冲突libXtst-1.2.3-1.el6.i686 is a duplicate with libXtst-1.2.2-2.1.el6.x86_64，直接跳过了</p>
<h3>3、设置mysql和apache开机启动，并启动服务</h3>
<div>
<pre class="prettyprint linenums">chkconfig --level  mysql on        #配置mysql开机自启动；.5及之前版本用mysql，.6及之后版本用mysqld<br />
chkconfig --level  httpd on         #配置apache开机自启动

service mysql start                         #启动mysql<br />
service httpd start                         #启动apache</pre>
</div>
<h3>4、修改mysql的root密码</h3>
<div>
<pre class="prettyprint linenums">mysqladmin -u root password "abcd1234"    #abcd1234修改成你想要的密码</pre>
</div>
<p>默认安装的5.1版本的mysqlroot默认密码应该为空可以直接这样修改密码，如果之前已配置密码，则要登录mysql修改：</p>
<div>
<pre class="prettyprint linenums">update MySQL.user set password=PASSWORD('abcd1234') where User='root';<br />
flush privileges;</pre>
</div>
<h3>5、修改mysql的配置文件，支持uft8</h3>
<p>编缉/etc/my.cnf配置如下（主要是各节区值为utf8的项）：</p>
<div>
<pre class="prettyprint linenums">[mysqld]<br />
datadir=/var/lib/mysql<br />
socket=/var/lib/mysql/mysql.sock<br />
user=mysql<br />
# Disabling symbolic-links is recommended to prevent assorted security risks<br />
symbolic-links=<br />
character_set_server=utf8<br />
init_connect='SET NAMES utf8'<br />
default-character-set=utf8

[mysql]<br />
default-character-set=utf8

[mysql.server]<br />
default-character-set=utf8

[mysqld_safe]<br />
log-error=/var/log/mysqld.log<br />
pid-file=/var/run/mysqld/mysqld.pid<br />
default-character-set=utf8

[client]<br />
default-character-set=utf8</pre>
</div>
<p>mysql5.1版本好像配置配置defalut-character-set就可以了，character_set_server参数5.5版本之后才有，不过多配上去也不要紧。改完要重启mysql使配置生效</p>
<div>
<pre class="prettyprint linenums">server mysql restart   #.6及之后版本使用mysqld</pre>
</div>
<h3>6、导入rsyslog数据库到mysql</h3>
<p>rsyslog的mysql数据库脚本默认文件是（版本相应修改）：</p>
<div>
<pre class="prettyprint linenums">/usr/share/doc/rsyslog-mysql-5.8./createDB.sql</pre>
</div>
<p>可以使用以下命令中确认其位置：</p>
<div>
<pre class="prettyprint linenums">echo  $(rpm -ql rsyslog-mysql | grep sql$)</pre>
</div>
<p>导入数据库（输入密码）：</p>
<div>
<pre class="prettyprint linenums">mysql -u root -p &lt; $(rpm -ql rsyslog-mysql | grep sql$)</pre>
</div>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1116722/201712/1116722-20171220103306381-1162666554.png" /></p>
<p>可以看到导入后已创建syslog数据库</p>
<h3>7、设置rsyslog数据库的字符集</h3>
<p>按原文讲syslog数据库默认不是utf8编码，所以要使用以下命令修改编码（但就我查看似乎是utf8的，多执行一次无所谓）</p>
<div>
<pre class="prettyprint linenums">mysql&gt; use syslog<br />
#修改Syslog数据库的字符集<br />
mysql&gt; ALTER DATABASE `syslog` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;<br />
#修改SystemEvents表的字符集<br />
mysql&gt; alter table systemEvents  default character set =utf8;<br />
#修改SystemEventsPorperties表的字符集<br />
mysql&gt; alter table systemeventsproperties  default character set =utf8;</pre>
</div>
<p>查看修改后的结果：</p>
<div>
<pre class="prettyprint linenums">#查看数据库的字符集设置<br />
mysql&gt; show variables like 'character%';

#查看systlog数据库所有表的字符集设置<br />
mysql&gt; use syslog;<br />
mysql&gt; show table status from Syslog\G;</pre>
</div>
<h3>8、创建Rsyslog数据库用户</h3>
<p>登录mysql创建用于管理rsyslog的数据库用户rsyslog，下边只授予了其localhost登录的权限，abcd1234改为自己想要的密码</p>
<div>
<pre class="prettyprint linenums">mysql&gt; grant all privileges on syslog.* to 'rsyslog'@'localhost' identified by 'abcd1234';<br />
mysql&gt; flush privileges; </pre>
</div>
<h3>9、修改rsyslog配置</h3>
<div>
<pre class="prettyprint linenums">cat &gt; /etc/sysconfig/rsyslog &lt;&lt; EOF<br />
# Options for rsyslogd<br />
# Syslogd options are deprecated since rsyslog v3.<br />
# If you want to use them, switch to compatibility mode  by "-c 2"<br />
# See rsyslogd() for more details<br />
SYSLOGD_OPTIONS="-c 2 -r -x -m 180"<br />
KLOGD_OPTIONS="-x"<br />
EOF</pre>
</div>
<p>各参数详解： <br />-c 指定运行兼容模式。 <br />-r 指定监听端口。 默认514 <br />-x 在接收客户端消息时，禁用DNS查找。需和-r参数配合使用。 <br />-m 标记时间戳。单位是分钟，为0时，表示禁用该功能。</p>
<h3>10、配置服务端支持rsyslog-mysql模块，并开启UDP服务端口</h3>
<p>编缉/etc/rsyslog.conf，在#### MODULES ####下添加前边两行，然后取消后边三行的注释</p>
<div>
<pre class="prettyprint linenums">$ModLoad ommysql.so<br />
*.* :ommysql:localhost,syslog,rsyslog,abcd1234<br />
#注:localhost表示本地主机，syslog为数据库名，rsyslog为数据库的用户，abcd1234为前边创建该用户时指定的密码

$ModLoad immark<br />
$ModLoad imudp<br />
$UDPServerRun </pre>
</div>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1116722/201712/1116722-20171220111104350-660361668.png" /></p>
<p>保存后重启rsyslog使配置生效</p>
<div>
<pre class="prettyprint linenums">service rsyslog restart</pre>
</div>
<h3>11、添加服务端iptables防火墙规则</h3>
<p>开头说过iptables策略可以不用清，当如果确实不清为确保万一，执行以下命令开放TCP和UDP的514端口</p>
<div>
<pre class="prettyprint linenums">iptables -I INPUT -p tcp --dport  -m comment --comment "accept for rsyslog" -j ACCEPT<br />
iptables -I INPUT -p udp --dport  -m comment --comment "accept for rsyslog" -j ACCEPT<br />
service iptables save</pre>
</div>
<h2>三、Loganalyzer安装与配置</h2>
<h3>1、下载Loganalyzer</h3>
<p>从<a href="http://loganalyzer.adiscon.com/downloads/" rel="external nofollow noreferrer">Loganalyzer官网</a>下载安装文件到/usr/local/src目录下，最新版本是4.1.6</p>
<div>
<pre class="prettyprint linenums">cd /usr/local/src<br />
wget http://download.adiscon.com/loganalyzer/loganalyzer-4.1.6.tar.gz</pre>
</div>
<h3>2、解压文件并复制源代码到apache的loganalyzer目录</h3>
<div>
<pre class="prettyprint linenums">cd /usr/local/src<br />
tar -zxf loganalyzer-4.1..tar.gz<br />
cd loganalyzer-4.1.<br />
mkdir -p /var/www/html/loganalyzer/<br />
cp -r src/* /var/www/html/loganalyzer/<br />
cp -r contrib/* /var/www/html/loganalyzer/</pre>
</div>
<h3>3、生成空的配置文件并设置权限</h3>
<div>
<pre class="prettyprint linenums">cd /var/www/html/loganalyzer/<br />
touch config.php<br />
chmod  config.php</pre>
</div>
<h3>4、修改php环境</h3>
<p>为配合LogAnalyzer对php环境的要求，修改/etc/php.ini中以下两项的值为：</p>
<div>
<pre class="prettyprint linenums">memory_limit = 512M<br />
max_execution_time = </pre>
</div>
<h3>5.重启apache</h3>
<div>
<pre class="prettyprint linenums">service iptables restart</pre>
</div>
<h3>6、loganalyzer初始化配置</h3>
<p>httpd默认主路径为/var/www/html，现在loganalyzer目录为/var/www/html/loganalyzer，所以访问http://192.168.220.128/loganalyzer/进行配置</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1116722/201712/1116722-20171220114730006-1283245481.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1116722/201712/1116722-20171220114831678-1264879284.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1116722/201712/1116722-20171220114905100-66041772.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1116722/201712/1116722-20171220115154334-62867915.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1116722/201712/1116722-20171220115431381-421445148.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1116722/201712/1116722-20171220115507756-2658965.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1116722/201712/1116722-20171220115639521-662001380.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1116722/201712/1116722-20171220115829100-1395038965.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1116722/201712/1116722-20171220115907178-588672686.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1116722/201712/1116722-20171220143357959-1199754062.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1116722/201712/1116722-20171220120307990-1741934351.png" /></p>
<h2>四、Linux客户端配置</h2>
<p>CentOS默认都会安装rsyslog，这里我们以一台CentOS 7为例。CentOS 6和7配置都是一样的，只是启停命令有所改变</p>
<h3>1、确认rsyslog服务是否启动</h3>
<div>
<pre class="prettyprint linenums">systemctl list-unit-files rsyslog.service    #确认rsyslog是否开机自启动<br />
systemctl enable rsyslog.service             #如果没有则配置其开机自启动<br />
systemctl status rsyslog.service             #查看rsyslog状态<br />
systemctl start rsyslog.service              #如果rsyslog没启动，将其启动</pre>
</div>
<h3>2、配置rsyslog客户端发送本地日志到服务端</h3>
<p>编缉/etc/rsyslog.conf，在最后### begin forwarding rule ###和### end of the forwarding rule ###之间，新建一行追加远程日志服务器地址（我这是192.168.220.128，根据自己实际情况配置）：</p>
<div>
<pre class="prettyprint linenums">*.* @192.168.220.128</pre>
</div>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1116722/201712/1116722-20171220145338631-1861549285.png" /></p>
<h3>3.重启rsyslog</h3>
<div>
<pre class="prettyprint linenums">systemctl restart rsyslog.service</pre>
</div>
<p>这样192.168.220.142的日志就会自动发送到192.168.220.128，192.168.220.128接收后就会自动存入syslog库。最后loganalyzer从syslog中读出然后在界面展现</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1116722/201712/1116722-20171220151446943-1575818922.png" /></p>
<p>如上图所示，Host列ls即是192.168.220.128，lsx即是192.168.220.142。</p>
<p>参考：</p>
<p><a href="http://www.linuxidc.com/Linux/2016-06/132418.htm" rel="external nofollow noreferrer">http://www.linuxidc.com/Linux/2016-06/132418.htm</a></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/r93n7nq3.html">ExtJS 项目准备工作（一）</a>
		</li>
						<li><a href="https://www.batexi.com/a/4955r6m9.html">原生js记住密码</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zr4n09.html">jquery&period;cookie&period;js存与取以及过期时间设置</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pjw17k9.html">分享一个MVC的多层架构，欢迎大家拍砖斧正</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1nl659.html">&lbrack;iOS微博项目 - 3&period;1&rsqb; - 发微博界面</a>
		</li>
						<li><a href="https://www.batexi.com/a/96o2d1n9.html">table完美css样式，table的基本样式，table样式</a>
		</li>
						<li><a href="https://www.batexi.com/a/qydnk3xq.html">QFTP走了以后QNetworkAccessManager出现了</a>
		</li>
						<li><a href="https://www.batexi.com/a/93x1v309.html">conv2用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7m1vkxq.html">使用js使表单自动提交</a>
		</li>
						<li><a href="https://www.batexi.com/a/96oeyvv9.html">使用带Arduino IDE &amp;amp&semi; WIZ820io的ATmega1284P</a>
		</li>
						<li><a href="https://www.batexi.com/a/96ox6vy9.html">C语言的本质（15）&mdash;&mdash;C语言的函数接口入门</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvg5jzq.html">Linux宕机最安全的重启方法&lpar;你肯定不知道&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zjpg09.html">&period;net EF 事物 订单流水号的生成 &lpar;二&rpar;：观察者模式、事物、EF</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp7mn79.html">利用WSUS部署更新程序</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgjd0m8.html">ECMAScript6 入门-let与const命令</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25mxmxq.html">SQLServer 游标详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r50vm7q.html">redis 在 php 中的应用</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zy36nd9.html">使用Vivado初探ZedBoard的OLED驱动</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnvz1638.html">python模拟艺龙网登录带验证码输入</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5xy04q.html">day 34 进程线程排序 抢票 初级生产者消费者</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qv2y14j9.html">cmake用法及常用命令总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv2yedy9.html">Hash&mdash;&mdash;字符串匹配（求s1在s2中出现的次数）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv2yexz9.html">jdbcTemplate 后台接口中的分页</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7o57dx8.html">设计模式（三）Singleton Pattern单例设计模式</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7o5nyg8.html">MySQL学习&lpar;十二&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/8m25wzrq.html">JAVA基础知识总结：二十</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pw4gmd8.html">第 5 章 网络 - 031 - none和host网络的适用场景</a>
			</li>
						<li><a href="https://www.batexi.com/a/90r3y1m9.html">Java从内存流中读取byte数组</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zyz3w39.html">PHP如何安装redis扩展（Windows下）</a>
			</li>
						<li><a href="https://www.batexi.com/a/q25zg53q.html">vSphere 扩展硬盘空间</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
